"use strict";
const common_vendor = require("../../../../common/vendor.js");
const pages_public_asset_houses_method = require("../method.js");
const pages_public_asset_houses_model = require("../model.js");
require("../../../../common/libraries/request.js");
require("../../../../common/store/useWeAppAuthStore.js");
require("../../../../gen/Apis.js");
require("../../../../common/store/useWatermarkStore.js");
require("../../../../common/store/useWorkStore.js");
require("../../../../common/libraries/apiLoading.js");
require("../../../../common/libraries/naviHelper.js");
require("../../../../common/libraries/userUserLogin.js");
if (!Array) {
  const _easycom_hs_empty2 = common_vendor.resolveComponent("hs-empty");
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  (_easycom_hs_empty2 + _easycom_uni_icons2)();
}
const _easycom_hs_empty = () => "../../../../components/hs-empty/hs-empty.js";
const _easycom_uni_icons = () => "../../../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  (_easycom_hs_empty + _easycom_uni_icons)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "MeHouseItem",
  setup(__props) {
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h;
      return common_vendor.e({
        a: !((_c = (_b = (_a = common_vendor.unref(pages_public_asset_houses_model.useModel)) == null ? void 0 : _a.dataList) == null ? void 0 : _b.value) == null ? void 0 : _c.length)
      }, !((_f = (_e = (_d = common_vendor.unref(pages_public_asset_houses_model.useModel)) == null ? void 0 : _d.dataList) == null ? void 0 : _e.value) == null ? void 0 : _f.length) ? {} : {}, {
        b: common_vendor.f((_h = (_g = common_vendor.unref(pages_public_asset_houses_model.useModel)) == null ? void 0 : _g.dataList) == null ? void 0 : _h.value, (i, index, i0) => {
          var _a2, _b2;
          return common_vendor.e({
            a: common_vendor.t(i == null ? void 0 : i.full_name),
            b: (i == null ? void 0 : i.id) === ((_a2 = common_vendor.unref(pages_public_asset_houses_model.useModel).selectedHouseEd.value) == null ? void 0 : _a2.id)
          }, (i == null ? void 0 : i.id) === ((_b2 = common_vendor.unref(pages_public_asset_houses_model.useModel).selectedHouseEd.value) == null ? void 0 : _b2.id) ? {
            c: "887947da-1-" + i0,
            d: common_vendor.p({
              type: "checkbox-filled",
              size: "20",
              color: "#2A7EFB"
            })
          } : {
            e: "887947da-2-" + i0,
            f: common_vendor.p({
              type: "circle",
              size: "20",
              color: "#999"
            })
          }, {
            g: common_vendor.o(($event) => {
              var _a3;
              return (_a3 = common_vendor.unref(pages_public_asset_houses_method.method)) == null ? void 0 : _a3.handleSelectedHouse(i);
            }, `item_${index}`),
            h: `item_${index}`
          });
        })
      });
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/pages/public/asset_houses/components/MeHouseItem.vue"]]);
wx.createComponent(Component);
